%define oname j2mesync

Name: libopensync-plugin-%oname
Version: 0.34
Release: alt1

Summary: J2ME sync plugin for OpenSync
License: %lgpl2plus
Group: System/Libraries
URL: http://www.ohli.de/?J2MESync
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: http://www.ohli.de/download/%{oname}_opensync-%version.tar.bz2

Requires: libopensync >= %version

BuildRequires: cmake gcc-c++ glib2-devel libbluez-devel libxml2-devel pkg-config zlib-devel rpm-build-licenses
BuildRequires: libopensync-devel >= %version

%description
This plugin allows applications using OpenSync to synchronize to and from
your mobile. It uses the java microedition to access your pim data and sends
it via bluetooth to multisync or openync on your pc.

Mobile devices known to work
    * Motorola A1200 (Ming)

%package contrib
Summary: J2MESync Midlet for phone
Group: Communications
BuildArch: noarch

%description contrib
This is package contain J2ME Midlet for phone.

Mobile devices known to work
    * Motorola A1200 (Ming)

%prep
%setup -q -n %oname-plugin-%version

%build
mkdir build
cd build
cmake -D CMAKE_INSTALL_PREFIX:PATH=%_prefix \
	-D OPENSYNC_LIBEXEC_DIR=%_libexecdir/opensync-1.0 \
%if %{_lib} == lib64
	-D LIB_SUFFIX=64 \
%endif
    -D CMAKE_SKIP_RPATH:BOOL=TRUE ../

%make_build

%install
pushd build
%make_install install DESTDIR=%buildroot
popd

%files
%doc AUTHORS COPYING ChangeLog README
%_libdir/opensync-1.0/plugins/j2mesync_plugin.so
%_datadir/opensync-1.0/defaults/j2mesync-plugin

%files contrib
%doc java/bin/*

%changelog
* Fri Jun 20 2008 Alexey Shabalin <shaba@altlinux.ru> 0.34-alt1
- Initial package

